import Vue from 'vue'
import vuetify from './plugins/vuetify';
import App from './App.vue'
import store from './store/store'
import router from './router'
import Vuetify from "vuetify";


Vue.directive('scroll', {
  inserted: function (el, binding) {
    let f = function (evt) {
      if (binding.value(evt, el)) {
        window.removeEventListener('scroll', f)
      }
    }
    window.addEventListener('scroll', f)
  }
})

Vue.config.productionTip = false

new Vue({
        vuetify,
  store,
  router,
  render: h => h(App),
}).$mount('#app')
